
From: Anton Blanchard <anton@samba.org>

Reserve the kernel memory (0 - klimit) in the kernel instead of the wrapper. 
Remove an old comment that incorrectly referred to klimit.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/prom.c      |    1 +
 25-akpm/arch/ppc64/kernel/prom_init.c |    5 -----
 25-akpm/include/asm-ppc64/rtas.h      |    2 +-
 3 files changed, 2 insertions(+), 6 deletions(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-reserve-kernel-memory-in-kernel-instead-of-wrapper arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-reserve-kernel-memory-in-kernel-instead-of-wrapper	Fri Nov 19 14:29:11 2004
+++ 25-akpm/arch/ppc64/kernel/prom.c	Fri Nov 19 14:29:11 2004
@@ -1023,6 +1023,7 @@ void __init early_init_devtree(void *par
 	scan_flat_dt(early_init_dt_scan_memory, NULL);
 	lmb_analyze();
 	systemcfg->physicalMemorySize = lmb_phys_mem_size();
+	lmb_reserve(0, __pa(klimit));
 
 	DBG("Phys. mem: %lx\n", systemcfg->physicalMemorySize);
 
diff -puN arch/ppc64/kernel/prom_init.c~ppc64-reserve-kernel-memory-in-kernel-instead-of-wrapper arch/ppc64/kernel/prom_init.c
--- 25/arch/ppc64/kernel/prom_init.c~ppc64-reserve-kernel-memory-in-kernel-instead-of-wrapper	Fri Nov 19 14:29:11 2004
+++ 25-akpm/arch/ppc64/kernel/prom_init.c	Fri Nov 19 14:29:11 2004
@@ -1606,11 +1606,6 @@ unsigned long __init prom_init(unsigned 
 	prom_debug("offset=0x%x\n", offset);
 
 	/*
-	 * Reserve kernel in reserve map
-	 */
-	reserve_mem(0, __pa(RELOC(klimit)));
-
-	/*
 	 * Check for an initrd
 	 */
 	prom_check_initrd(r3, r4);
diff -puN include/asm-ppc64/rtas.h~ppc64-reserve-kernel-memory-in-kernel-instead-of-wrapper include/asm-ppc64/rtas.h
--- 25/include/asm-ppc64/rtas.h~ppc64-reserve-kernel-memory-in-kernel-instead-of-wrapper	Fri Nov 19 14:29:11 2004
+++ 25-akpm/include/asm-ppc64/rtas.h	Fri Nov 19 14:29:11 2004
@@ -149,7 +149,7 @@ struct rtas_error_log {
 	unsigned long target:4;			/* Target of failed operation */
 	unsigned long type:8;			/* General event or error*/
 	unsigned long extended_log_length:32;	/* length in bytes */
-	unsigned char buffer[1];		/* allocated by klimit bump */
+	unsigned char buffer[1];
 };
 
 struct flash_block {
_
